function VVK_getUserCheckBoxes() {
  var bw_users=$('mfu-files-list');

  return bw_users == null ? null : Prototype.Selector.select("input[type=checkbox]", bw_users);
}

function highlightFilenames() {
  var user_check_boxes=VVK_getUserCheckBoxes();

  if(user_check_boxes!=null) {
    var value=$('filename_search').value.toUpperCase();
    var i;
    var user_name;
    var label_elem;

    for(i=0;i<user_check_boxes.length;i++) {
      label_elem=user_check_boxes[i].up();
      label_elem.removeClassName('mfu-filename');
      label_elem.removeClassName('mfu-filename-select');

      user_name=label_elem.readAttribute('full_text').toUpperCase();

      if(value.length > 1 && user_name.include(value)) {
        label_elem.addClassName('mfu-filename-select');
      } else {
        label_elem.addClassName('mfu-filename');
      }
    }
  }
}

function toggleFilenames(on_off_str,latest_str) {
  var toggle_all=on_off_str.evalJSON();
  var toggle_latest=latest_str.evalJSON();
  var user_check_boxes=VVK_getUserCheckBoxes();

  if(user_check_boxes!=null) {
    var i;
    var label_elem;

    if(toggle_all == -1) {
      toggle_all = user_check_boxes[0].checked ? 0 : 1;
    }

    for(i=0;i<user_check_boxes.length;i++) {
      label_elem=user_check_boxes[i].up();
      if (toggle_latest==1 && user_check_boxes[i].up().hasClassName('mfu-old-date')) {
        user_check_boxes[i].checked=0;
      } else {
        user_check_boxes[i].checked=toggle_all;
      }

    }
  }
}


function toggleSelectedFilenames(on_off_str) {
  var turn_on=on_off_str.evalJSON();
  var user_check_boxes=VVK_getUserCheckBoxes();

  if(user_check_boxes!=null) {
    var i;

    for(i=0;i<user_check_boxes.length;i++) {
      if(user_check_boxes[i].up().hasClassName('mfu-filename-select')) {
        user_check_boxes[i].checked=turn_on;
      }
    }

  }
}
